## mutt 0.93i

=== rx/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# A simplified Makefile for use with Mutt.
# 
# Michael Elkins <me@cs.hmc.edu>
# 1/23/97
#
OBJS=	hashrexp.o rx.o rxanal.o rxbasic.o rxbitset.o rxcset.o \
	rxgnucomp.o rxhash.o rxnfa.o rxnode.o rxposix.o rxsimp.o \
	rxspencer.o rxstr.o rxsuper.o rxunfa.o



librx.a: $(OBJS)
	ar rc librx.a $(OBJS)
	-ranlib librx.a

clean:
	rm -f *.o librx.a *~

## mutt 1.5.23

=== debian/changelog ===
mutt (1.5.23-3+deb8u3) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Assure that CVE-2020-14093 and CVE-2020-14954 get applied
    to mutt bin:pkg _and_ mutt-patched bin:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Jun 2020 12:31:24 +0200

mutt (1.5.23-3+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2020-14093: Prevent possible IMAP MITM via PREAUTH response.
    (Closes: #962897).
  * CVE-2020-14954: Fix STARTTLS response injection attack.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Jun 2020 11:54:54 +0200

mutt (1.5.23-3+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team. (Closes: 904051)
  * Fix arbitrary command execution by remote IMAP servers via backquote
    characters, related to the mailboxes command associated with a manual
    subscription or unsubscription (CVE-2018-14354)
  * Fix arbitrary command execution by remote IMAP servers via backquote
    characters, related to the mailboxes command associated with an automatic
    subscription (CVE-2018-14357)
  * Fix a stack-based buffer overflow caused by imap_quote_string() not
    leaving room for quote characters (CVE-2018-14352)
  * Fix an integer underflow in imap_quote_string() (CVE-2018-14353)
  * Fix mishandling of zero-length UID in pop.c (CVE-2018-14356)
  * Fix unsafe interaction between message-cache pathnames and certain
    characters in pop.c (CVE-2018-14362)
  * Fix mishandling of ".." directory traversal in IMAP mailbox name
    (CVE-2018-14355)
  * Fix a stack-based buffer overflow for an IMAP FETCH response with a long
    INTERNALDATE field (CVE-2018-14350)
  * Fix a stack-based buffer overflow for an IMAP FETCH response with a long
    RFC822.SIZE field (CVE-2018-14358)
  * Fix mishandling of an IMAP NO response without a message (CVE-2018-14349)
  * Fix mishandling of long IMAP status mailbox literal count size
    (CVE-2018-14351)
  * Fix a buffer overflow via base64 data (CVE-2018-14359)
  * Fix a stack-based buffer overflow because of incorrect sscanf usage
    (CVE-2018-14360)
  * Fix a defect where processing continues if memory allocation fails for
    NNTP messages (CVE-2018-14361)
  * Fix unsafe interaction between message-cache pathnames and certain
    characters in newsrc.c (CVE-2018-14363)

 -- Roberto C. Sanchez <roberto@debian.org>  Fri, 27 Jul 2018 22:20:50 -0400

mutt (1.5.23-3) unstable; urgency=medium

  * Fixed upstream/771125-CVE-2014-9116-jessie.patch thanks to Salvatore
    Bonaccorso; now it correctly fixes the CVE and does not affect other
    functionalities of mutt (Closes: 771674)

 -- Antonio Radici <antonio@dyne.org>  Thu, 04 Dec 2014 21:09:07 +0000

mutt (1.5.23-2) unstable; urgency=medium

  * Created upstream/771125-CVE-2014-9116-jessie.patch to address
    CVE-2014-9116; the patch prevent mutt_substrdup from being used in a way
    that can lead to a segfault.

 -- Antonio Radici <antonio@dyne.org>  Sat, 29 Nov 2014 18:13:56 +0000

mutt (1.5.23-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against GnuTLS v3. Closes: #668816

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Aug 2014 13:42:50 +0200

mutt (1.5.23-1) unstable; urgency=medium

  * Team upload.

  [ Matteo F. Vescovi ]
  * New upstream security bugfix release
    - debian/patches/: patchset refreshed against v1.5.23
    - debian/patches/: CVE-2014-0467.patch dropped (applied upstream)
  * debian/rules: --enable-exact-address parameter dropped again
    (Closes: #741525, #741527, #741551)

  [ Evgeni Golov ]
  * update nntp patch to the latest upstream version

 -- Evgeni Golov <evgeni@debian.org>  Sun, 16 Mar 2014 23:16:31 +0100

mutt (1.5.22-2) unstable; urgency=high

  * Team upload.

  [ Matteo F. Vescovi ]
  * debian/gbp.conf: config file added
  * debian/patches/: patchset re-worked using right gbp-pq option
  * debian/rules: --enable-exact-address parameter added.
    Thanks to Jari Aalto for the patch. (Closes: #698267)

  [ Evgeni Golov ]
  * SidebarDelim can be NULL and strlen(NULL) is a bad idea (Closes: #696145)
  * Use mbstowcs instead of strlen for the sidebar_delim (Closes: #663883)
  * Install mutt-patched docs (HTML, TXT, manpages) with a -patched suffix.
    Properly link the correct docs for the running mutt flavour using
    update-alternatives.
    (Closes: #740887)
  * update package description of mutt-patched (Closes: #700365)
  * fix drawing of no sidebar when starting in compose mode (Closes: #502627)
  * update sidebar-newonly patch so the keybindings work properly.
    Thanks to gregor herrmann <gregoa@debian.org> (Closes: #546627)
  * Fix buffer overrun caused by not updating a string length after
    address expansion. (Closes: #708731)
    Fixes: CVE-2014-0467
  * Update lintian overrides, as mutt-{org,patched} now have own mapages and
    the doc-base references get created in the postinst.

 -- Evgeni Golov <evgeni.golov@credativ.de>  Wed, 12 Mar 2014 13:16:21 +0100

mutt (1.5.22-1) unstable; urgency=low

  Many thanks to Matteo and Evgeni for preparing this release!

  [ Matteo F. Vescovi ]
  * Imported Upstream version 1.5.22 (Closes: #732859)
    - debian/patches/: patchset re-worked against v1.5.22 via gbp
      - __[tag]__ classification has been introduced with
        this release (gbp pq format)
      - all already-applied "upstream" patches were dropped
      - most of the patches required simple renaming
    - debian/rules: patch usage modified
      - mutt.org patch popping updated
      - patch path for README.patches updated
  * debian/control: Vcs-* fields updated
  * debian/: dh bump version 7 => 9
  * debian/source/format: 1.0 => 3.0 (quilt)
  * debian/control: S-V bump 3.9.2 => 3.9.5 (no changes needed)

  [ Evgeni Golov ]
  * Refresh sidebar related patches.
    Update the main sidebar patch from OpenBSD, who have ported the latest
    upstream version of the patch to mutt 1.5.22.


=== debian/control ===
Source: mutt
Section: mail
Priority: standard
Maintainer: Antonio Radici <antonio@dyne.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: automake, debhelper (>= 9), autotools-dev,
 docbook-xml, docbook-xsl, w3m, gawk, gettext, libgnutls28-dev,
 libgpgme11-dev, libidn11-dev, libkrb5-dev, libncurses5-dev, libncursesw5-dev,
 libsasl2-dev, libtool, pkg-config, quilt, xsltproc, zlib1g-dev,
 libtokyocabinet-dev [!hurd-i386], libgdbm-dev [hurd-i386]
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-mutt/mutt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mutt/mutt.git
Homepage: http://www.mutt.org/

Package: mutt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: default-mta | mail-transport-agent, locales, mime-support, libsasl2-modules
Suggests: urlview, aspell | ispell, gnupg, mixmaster, openssl, ca-certificates
Provides: mail-reader, imap-client
Conflicts: mutt-utf8
Replaces: mutt-utf8
Description: text-based mailreader supporting MIME, GPG, PGP and threading
 Mutt is a sophisticated text-based Mail User Agent. Some highlights:
 .
  * MIME support (including RFC1522 encoding/decoding of 8-bit message
    headers and UTF-8 support).
  * PGP/MIME support (RFC 2015).
  * Advanced IMAP client supporting SSL encryption and SASL authentication.
  * POP3 support.
  * ESMTP support.
  * Message threading (both strict and non-strict).
  * Keybindings are configurable, default keybindings are much like ELM;
    Mush and PINE-like ones are provided as examples.
  * Handles MMDF, MH and Maildir in addition to regular mbox format.
  * Messages may be (indefinitely) postponed.
  * Colour support.
  * Highly configurable through easy but powerful rc file.

Package: mutt-patched
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, mutt (= ${binary:Version})
Description: Mutt Mail User Agent with extra patches
 Mutt is a sophisticated text-based Mail User Agent.
 .
 This package adds the following patches:
  * sidebar: list mailboxes (with new mail) in a separate column on screen
  * nntp: NNTP support for mutt
  * multiple-fcc: handle FCC with multiple, comma separated entries

Package: mutt-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, mutt (= ${binary:Version})
Description: debugging symbols for mutt
 Mutt is a sophisticated text-based Mail User Agent.
 .
 This package contains the debugging symbols for mutt and mutt-patched; this
 is supposed to be used when there is a core file which should be analyzed
 using gdb.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make
QUILT = QUILT_PATCHES=$(QUILT_PATCH_DIR) quilt --quiltrc /dev/null

###################### user serviceable parts ######################

###
# build a separate mutt-patched package?
BUILD_PATCHED := yes
###
# header cache backend
# HCACHE_DB := bdb
# HCACHE_DB := gdbm
# HCACHE_DB := qdbm
HCACHE_DB := tokyocabinet
###
# GPGME backend
GPGME := --enable-gpgme
###

###################### variables ######################

ifneq ($(BUILD_PATCHED),yes)
export DH_OPTIONS := -Nmutt-patched
endif

# Configure arguments

ifeq ($(HCACHE_DB),bdb)
    hcache_db := --without-gdbm --without-qdbm --without-tokyocabinet
endif
ifeq ($(HCACHE_DB),gdbm)
    hcache_db := --without-qdbm --without-bdb --without-tokyocabinet
endif
ifeq ($(HCACHE_DB),qdbm)
    hcache_db := --without-gdbm --without-bdb --without-tokyocabinet
endif
ifeq ($(HCACHE_DB),tokyocabinet)
    hcache_db := --without-gdbm --without-bdb --without-qdbm
    ifeq ($(shell dpkg --print-architecture),hurd-i386)
	hcache_db := --without-bdb --without-qdbm
    endif
endif

confflags =	--prefix=/usr			\
		--sysconfdir=/etc		\
		--mandir=/usr/share/man		\
		--with-docdir=/usr/share/doc	\
		--with-mailpath=/var/mail	\
						\
		--disable-dependency-tracking	\
						\
		--enable-compressed		\
		--enable-debug			\
		--enable-fcntl			\
		--enable-hcache			\
		$(GPGME)			\
		--enable-imap			\
		--enable-smtp			\
		--enable-pop			\
						\
		--with-curses			\
		--with-gnutls			\
		--with-gss			\
		--with-idn			\
		--with-mixmaster		\
		--with-sasl			\
						\
		$(hcache_db)

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
confflags += --build $(DEB_BUILD_GNU_TYPE)
# Only specify --host when cross-compiling
ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --host $(DEB_HOST_GNU_TYPE)
endif

# CFLAGS
CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -Wall
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
CPPFLAGS += -I/usr/include/qdbm

# Directory to make the build on
objdir = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

###################### main ######################

$(objdir)-patched/build-stamp: $(QUILT_STAMPFN)
	dh_testdir
	dh_clean
	-mkdir $(objdir)-patched
	dh_autotools-dev_updateconfig
	
ifeq ($(BUILD_PATCHED),yes)
	###################### building mutt-patched ######################
	$(QUILT) applied > PATCHES
	autoreconf --install --include=m4
	cd $(objdir)-patched && \
	env CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
	../configure $(confflags) \
		--enable-nntp
	
	echo '#include "config-debian.h"' >> $(objdir)-patched/config.h
	
	# we should just "make mutt" here, but that doesn't work yet
	cd $(objdir)-patched && $(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"
endif
	
	touch $@

build build-arch: $(objdir)/build-stamp
$(objdir)/build-stamp: $(objdir)-patched/build-stamp
	###################### building mutt ######################
	$(QUILT) pop __separator__mutt.org.patch
	$(QUILT) applied > PATCHES
	
	autoreconf --install --include=m4
	-mkdir $(objdir)
	cd $(objdir) && \
	env CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"  \
	../configure $(confflags)
	
	echo '#include "config-debian.h"' >>$(objdir)/config.h
	
	cd $(objdir) && $(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"
	
	touch $@

install: build
	###################### install ######################
	dh_testdir
	dh_testroot
	dh_prep
	cd $(objdir) && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	
	cd debian/tmp/usr/share/doc && \
	rm -rf samples/iconv samples/ca-bundle.crt && \
	mv NEWS NEWS.old && \
	cp $(CURDIR)/UPDATING NEWS
	
	chmod +x debian/extra/lib/*
	chmod +x debian/header.awk
	debian/header.awk debian/patches/features/* \
		debian/patches/mutt-patched/* > debian/tmp/README.Patches
	
	( sed -e '/## More settings/,$$d' $(objdir)/doc/Muttrc || exit 1 ; \
	  cat debian/extra/rc/Muttrc.foot ) > debian/tmp/Muttrc
	
	( echo "# GnuPG configuration"; \
	  grep '^set' contrib/gpg.rc; \
	  echo ) > debian/tmp/gpg.rc
	
	dh_install
	
	# prepare files for update-alternatives
	mv debian/mutt/usr/bin/mutt debian/mutt/usr/bin/mutt-org
	install -D debian/tmp/usr/share/man/man1/mutt.1 debian/mutt/usr/share/man/man1/mutt-org.1
	install -D debian/tmp/usr/share/man/man5/muttrc.5 debian/mutt/usr/share/man/man5/muttrc-org.5
	install -D debian/tmp/usr/share/doc/manual.txt debian/mutt/usr/share/doc/mutt/manual-org.txt
ifeq ($(BUILD_PATCHED),yes)
	install -D $(objdir)-patched/mutt debian/mutt-patched/usr/bin/mutt-patched
	install -d debian/mutt-patched/usr/share/doc/mutt/html-patched/
	install -D $(objdir)-patched/doc/*.html debian/mutt-patched/usr/share/doc/mutt/html-patched/
	install -D $(objdir)-patched/doc/manual.txt debian/mutt-patched/usr/share/doc/mutt/manual-patched.txt
	install -D $(objdir)-patched/doc/muttrc.man debian/mutt-patched/usr/share/man/man5/muttrc-patched.5
	install -D $(objdir)-patched/doc/mutt.1 debian/mutt-patched/usr/share/man/man1/mutt-patched.1
endif
	
	# reportbug driver
	dh_installdirs
	install -m644 debian/bug/control $(CURDIR)/debian/mutt/usr/share/bug/mutt
	install       debian/bug/script  $(CURDIR)/debian/mutt/usr/share/bug/mutt

binary binary-arch: install
	###################### binary ######################
	dh_installman
	dh_installmenu
	dh_installmime
	dh_installdocs
	dh_installexamples
	dh_installchangelogs ChangeLog
	-dh_lintian
	
	dh_strip --dbg-package=mutt-dbg
	rm -rf $(CURDIR)/debian/mutt-dbg/usr/share/doc/mutt-dbg \
		$(CURDIR)/debian/mutt-patched/usr/share/doc/mutt-patched
	
	dh_link
	dh_compress --exclude usr/share/doc/mutt/README.Patches
	dh_fixperms --exclude usr/bin/mutt_dotlock
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz

build-indep binary-indep:
	@echo "Nothing to do."

clean: unpatch
	###################### clean ######################
	dh_testdir
	dh_testroot
	
	# please dpkg-source
	rm -f po/*.gmo
	echo -n > PATCHES
	
	# remove build trees
	rm -rf $(objdir) $(objdir)-patched
	
	# remove autotool-generated files so they don't show up in the diff.gz
	dh_autotools-dev_restoreconfig
	rm -f configure config.h.in compile
	rm -f Makefile.in contrib/Makefile.in imap/Makefile.in doc/Makefile.in m4/Makefile.in
	
	dh_clean

.PHONY: configure build build-arch build-indep clean install binary binary-arch binary-indep patch

=== debian/watch ===
version=3
opts=pasv ftp://ftp.mutt.org/mutt/devel/mutt-(.*).tar.gz

## mutt 1.5.24

=== debian/changelog ===
mutt (1.5.24-1ubuntu0.6) xenial-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2021-3181-1.patch: Fix memory leak parsing group addresses without a display name
      in rfc822.c.
    - debian/patches/CVE-2021-3181-2.patch: Don't allocate a group terminator unless we are in a group-list
      in rfc822.c.
    - debian/patches/CVE-2021-3181-3.patch: Add group terminator if it is left
      off in rfc822.c.
    - CVE-2021-3181

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 21 Jan 2021 13:14:31 -0300

mutt (1.5.24-1ubuntu0.5) xenial-security; urgency=medium

  * SECURITY UPDATE: Sensitive information exposed
    - debian/patches/CVE-2020-28896.patch: Ensure IMAP connection is closed
      after a connection error in imap/imap.c.
    - CVE-2020-28896

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 24 Nov 2020 10:51:05 -0300

mutt (1.5.24-1ubuntu0.4) xenial-security; urgency=medium

  * SECURITY UPDATE: Man-in-the-middle attack
    - debian/patches/CVE-2020-14954.patch: fix STARTTLS response injection
      attack clearing the CONNECTION input buffer in mutt_ssl_starttls() in
      mutt_socket.c, mutt_socket.h, mutt_ssl.c, mutt_ssl_gnutls.c.
    - CVE-2020-14954
  * Redoing patch CVE-2020-14154-1, that causes a possibly regression (LP: #1884588)

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 22 Jun 2020 17:26:12 -0300

mutt (1.5.24-1ubuntu0.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Man-in-the-middle attack
    - debian/patches/CVE-2020-14093.patch: prevent
      possible IMAP MITM via PREAUTH response in imap/imap.c.
    - CVE-2020-14093
  * SECURITY UPDATE: Connection even if the user rejects an
    expired intermediate certificate
    - debian/patches/CVE-2020-14154-1.patch: fix GnuTLS tls_verify_peers()
      checking in mutt_ssl_gnutls.c.
    - debian/patches/CVE-2020-14154-2.patch: Abort GnuTLS certificate if a
      cert in the chain is rejected in mutt_ssl_gnutls.c.
    - debian/patches/CVE-2020-14154-3.patch: fix GnuTLS interactive prompt
      short-circuiting in mutt_ssl_gnutls.c.
    - CVE-2020-14154

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 18 Jun 2020 10:02:48 -0300

mutt (1.5.24-1ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: apply all fixes to both mutt and mutt-patched
    - debian/patches/series: re-order patch application (LP: #1794278)

 -- Steve Beattie <sbeattie@ubuntu.com>  Wed, 26 Sep 2018 12:43:56 -0700

mutt (1.5.24-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Mishandles a NO response without a msg
    - debian/patches/ubuntu/mutt-CVE-2018-14349.patch: fix in
      imap/command.c.
    - CVE-2018-14349
  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/ubuntu/mutt-CVE-2018-14350-CVE-2018-14358.patch:
      fix in imap/message.c.
    - CVE-2018-14350
    - CVE-2018-14358
  * SECURITY UPDATE: Mishandles a long IMAP status
    - debian/patches/ubuntu/mutt-CVE-2018-14351.patch: fix in
      imap/command.c.
    - CVE-2018-14351
  * SECURITY UPDATE: Integer underflow and stack-based buffer overflow
    - debian/patches/ubuntu/mutt-CVE-2018-14352-CVE-2018-14353.patch:
      fix in imap/util.c.
    - CVE-2018-14352
    - CVE-2018-14353
  * SECURITY UPDATE: Remote arbitrary code execution
    - debian/patches/ubuntu/mutt-CVE-2018-14354-CVE-2018-14357.patch:
      fix in imap/command.c, imap/imap.c, imap/imap_private.h, imap/util.c.
    - CVE-2018-14354
    - CVE-2018-14357
  * SECURITY UPDATE: Directory traversal
    - debian/patches/ubuntu/mutt-CVE-2018-14355.patch: fix in
      imap/util.c.
    - CVE-2018-14355
  * SECURITY UPDATE: Mishandles a zero-lenght UID
    - debian/patches/ubuntu/mutt-CVE-2018-14356.patch: fix in
      pop.c.
    - CVE-2018-14356
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/ubuntu/mutt-CVE-2018-14359.patch: fix in
      base64.c, imap/auth_cram.c, imap/auth_gss.c, protos.h.
    - CVE-2018-14359
  * SECURITY UPDATE: Unsafe character interactions
    - debian/patches/ubuntu/mutt-CVE-2018-14362.patch: fix in
      pop.c.
    - CVE-2018-14362

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 19 Jul 2018 10:31:16 -0300

mutt (1.5.24-1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:26:36 +0000

mutt (1.5.24-1) unstable; urgency=medium

  * Team upload.

  [ Evgeni Golov ]
  * Fix implicit-function-declaration warnings during compile

  [ Matteo F. Vescovi ]
  * Imported Upstream version 1.5.24 (Closes: #763522)
  * debian/patches/: patchset re-worked against v1.5.24
    - features-old/patch-1.5.4.vk.pgp_verbose_mime.patch dropped
      (applied upstream)
    - features/xtitles.patch dropped (different approach by upstream)
    - upstream/542817-smimekeys-tmpdir.patch dropped (applied upstream)
    - upstream/547980-smime_keys-chaining.patch dropped (applied upstream)
    - upstream/624058-gnutls-deprecated.patch dropped (applied upstream)
  * debian/control: S-V bump 3.9.5 => 3.9.6 (no changes needed)
  * debian/: GnuPG signature verification added
  * debian/watch: path to release tarballs updated

 -- Christoph Berg <myon@debian.org>  Sun, 20 Sep 2015 17:58:34 +0200

mutt (1.5.23-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * upstream/624058-gnutls-deprecated.patch: Use gnutls_priority_set_direct()
    instead of gnutls_protocol_set_priority() together with
    gnutls_set_default_priority(). Cherrypick the relevant parts from upstream
    HG, without the compatibilty stuff for ancient (< 2.2.0) GnuTLS.
    Closes: #624058

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Aug 2015 13:54:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: mutt
 Section: mail
 Priority: standard
-Maintainer: Antonio Radici <antonio@dyne.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antonio Radici <antonio@dyne.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: automake, debhelper (>= 9), autotools-dev,
  docbook-xml, docbook-xsl, w3m, gawk, gettext, libgnutls28-dev,
  libgpgme11-dev, libidn11-dev, libkrb5-dev, libncurses5-dev, libncursesw5-dev,
  libsasl2-dev, libtool, pkg-config, quilt, xsltproc, zlib1g-dev,
  libtokyocabinet-dev [!hurd-i386], libgdbm-dev [hurd-i386]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-mutt/mutt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mutt/mutt.git
 Homepage: http://www.mutt.org/

## mutt 1.6.0

=== debian/changelog ===
mutt (1.6.0-1b2) staging; urgency=medium

  * No-change rebuild against libgnutls30.

 -- Matthias Klumpp <mak@debian.org>  Sun, 29 May 2016 19:45:22 +0200

mutt (1.6.0-1b1) staging; urgency=medium

  * No-change rebuild against libgnutls30.

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Tue, 24 May 2016 17:07:31 +0200

mutt (1.6.0-1) unstable; urgency=medium

  * New upstream release.
    + adds the -E option to modify the draft file (Closes: #695220, #434235)
    + does not crash while managing attachments (Closes: #677687)
    + allows setting the signing digest for S/MIME (Closes: #741147)
    + properly parses Outlook's S/MIME signatures (Closes: #701013)

  [ Antonio Radici ]
  * debian/control: moved the MTA from Recommends to Suggests (Closes: #670769)
  * debian/extra/mutt.desktop: set NoDisplay to false (Closes: #678596)

  [ Matteo F. Vescovi ]
  * debian/patches/: patchset updated
    - upstream/809802_timeout_hook.patch added (Closes: #809802)
    As stated by the upstream maintainer,
    the following patches can be safely dropped: (Closes: #816706)
    - misc/fix-configure-test-operator.patch
    - upstream/531430-imapuser.patch
    - upstream/543467-thread-segfault.patch
    - upstream/548577-gpgme-1.2.patch
    - upstream/553321-ansi-escape-segfault.patch
    - upstream/603288-split-fetches.patch
    - upstream/611410-no-implicit_autoview-for-text-html.patch
  * debian/rules: Glob expansions added to make mutt reproducible.
    Thanks to Daniel Shahaf for the patch (Closes: #818419)
  * debian/control: S-V bump 3.9.6 -> 3.9.8 (no changes needed)
  * debian/control: Vcs-* fields updated for https:// usage
  * debian/control: add myself to Uploaders
  * debian/mutt.menu: file dropped

  [ Evgeni Golov ]
  * update sidebar patch to the 20151111 version
  * update nntp patch to the 1.6.0 version
  * drop patches applied upstream
  * refresh patches against 1.6.0

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 26 Apr 2016 16:46:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: mutt
 Section: mail
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antonio Radici <antonio@dyne.org>
-Uploaders: Christoph Berg <myon@debian.org>
+Maintainer: Antonio Radici <antonio@dyne.org>
+Uploaders: Christoph Berg <myon@debian.org>, Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: automake, debhelper (>= 9), autotools-dev,
  docbook-xml, docbook-xsl, w3m, gawk, gettext, libgnutls28-dev,
  libgpgme11-dev, libidn11-dev, libkrb5-dev, libncurses5-dev, libncursesw5-dev,
  libsasl2-dev, libtool, pkg-config, quilt, xsltproc, zlib1g-dev,
  libtokyocabinet-dev [!hurd-i386], libgdbm-dev [hurd-i386]
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-mutt/mutt.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mutt/mutt.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-mutt/mutt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mutt/mutt.git
 Homepage: http://www.mutt.org/
 
 Package: mutt
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: default-mta | mail-transport-agent, locales, mime-support, libsasl2-modules
-Suggests: urlview, aspell | ispell, gnupg, mixmaster, openssl, ca-certificates
+Recommends: locales, mime-support, libsasl2-modules
+Suggests: default-mta | mail-transport-agent, urlview, aspell | ispell, gnupg, mixmaster, openssl, ca-certificates
 Provides: mail-reader, imap-client
 Conflicts: mutt-utf8
 Replaces: mutt-utf8

=== debian/rules ===
--- 
+++ 
@@ -144,8 +144,10 @@
 	
 	chmod +x debian/extra/lib/*
 	chmod +x debian/header.awk
-	debian/header.awk debian/patches/features/* \
-		debian/patches/mutt-patched/* > debian/tmp/README.Patches
+	# Glob expansions are sorted in a locale-sensitive manner;
+	# set the locale to make the order reproducible.
+	(LC_ALL=C; export LC_ALL; debian/header.awk debian/patches/features/* \
+		debian/patches/mutt-patched/*) > debian/tmp/README.Patches
 	
 	( sed -e '/## More settings/,$$d' $(objdir)/doc/Muttrc || exit 1 ; \
 	  cat debian/extra/rc/Muttrc.foot ) > debian/tmp/Muttrc

## mutt 1.6.2

=== debian/changelog ===
mutt (1.6.2-3) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Pass --disable-fmemopen to ./configure. fmemopen has been the cause for
    some issues, such as reported crashes and incompatibility with torify.
    (Closes: #834408).

  [ Antonio Radici ]
  * New NeoMutt release, 2016-08-21.
    - Fixes data corruption in compressed folders. (Closes: #834818)
    - Reverts to the vanilla mutt keybindings. (Closes: #834448, #834500)
    - Hide the progress bar if it wasn't given a color. (Closes: #834450)
    - Drop neomutt-devel/*sidebar* patches, already included upstream.
    - Drop getrandom patch already included upstream.
    - Some patches, including sensible-browser, refreshed.
    - Slightly modified the AC_INIT in configure.ac so that the package builds.
  * debian/patches:
    + created neomutt-devel/restore-docfile-installation.patch to restore the
      installation of some docfiles dropped by neomutt.

 -- Antonio Radici <antonio@debian.org>  Tue, 23 Aug 2016 21:48:35 +0100

mutt (1.6.2-2) unstable; urgency=medium

  * New NeoMutt release, 2016-08-08.
    - Fixes crash when closing compressed mbox files. (Closes: #834024)
    - Drop patch features/809802_timeout_hook.patch, merged upstream.
    - Drop patch debian/patches/features/multiple-fcc.patch, merged upstream.
    - Drop patch imap-sidebar-update-bug.patch, was an upstream backport.
    - Refresh patch neomutt-devel/sensible-browser.patch.
  * Backport three sidebar fixes, courtesy of upstream vanilla mutt maintainer
    Kevin J. McCarthy.
  * Add a patch to avoid a warning message if getrandom() fails. This should
    help not scare off users that are running a jessie kernel, among others.
    Thanks to Adam Borowski for the fix. (Closes: #833593)

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 14 Aug 2016 18:40:11 +0300

mutt (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * New upstream NeoMutt release, 2016-07-23.
    - Adds SMIME encrypt to self patch. (Closes: #688970)
  * Backport a fix for the sidebar from neomutt git/mutt hg, patch
    imap-sidebar-update-bug.patch.
  * Update NEWS.Debian and (unfortunately) rewrite history in order to make it
    a little more consistent and easier to read for users upgrading from
    jessie. (Closes: #832761)
  * The sidebar patch has been stabilized with this release, with the option
    names also having been stable enough to be included into upstream mutt
    (what will become 1.7.0). All the known Debian bugs have been fixed and
    changes have been documented in NEWS. (Closes: #499596, #741853, #777127,
    #821748, #823142, #823454, #823654, #823655)
  * Remove the /etc/Muttrc.d/sidebar.rc conffile which enabled sidebar by
    default. Sidebar is now OFF by default, in order to stick with upstream's
    defaults and what most mutt users expect. Document this in NEWS.Debian.
  * Ship our patched Muttrc instead of the stock, non-generated Muttrc,
    a regression from 1.6.1-2. (Closes: #830692, #830695)
  * Remove the assumed_charset-compat.patch and inform users of the renamed
    option ("file_charset" -> "attach_charset") via NEWS.Debian.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 29 Jul 2016 16:43:06 +0300

mutt (1.6.1-2) experimental; urgency=medium

  * Fold mutt-patched into mutt, as the line between the wo has became more
    blurry since its introduction. Upstream mutt has merged the sidebar and
    the Debian mutt binary package already carries a lot of feature patches.
    - Remove the mutt-patched binary from debian/control.
    - Add Breaks/Replaces: mutt-patched on the mutt binary package.
    - Remove mutt-patched rules from debian/rules.
    - Move multiple-fcc (the only remaining patch) under features/.
  * Similarly, fold mutt-kz, a binary from a different source package until
    now, into mutt. mutt-kz upstream has joined forces with NeoMutt, so this
    is now a matter of just passing --enable-notmuch to our ./configure.
  * Remove update-alternatives support for /usr/bin/mutt and associated
    manpages and docs. This only existed for the benefit of mutt-patched and
    mutt-kz and is thus moot now.
  * Update neomutt to a newer version, 20160611.
    - Enable *all* the neomutt patches now, not just a hand-picked selection.
    - Use the single patch, as the broken out patches conflict with each
      other.
    - Drop the compressed-folders, NNTP and path_max patches, as they are now
      part of neomutt.
    - Update sensible-browser and multiple-fcc patches to adjusted versions
      from the neomutt-upstream.
    - Adjust the package's description to mention some of neomutt's features.
  * Enable all hardening build flags. (Closes: #823295)
  * Remove README.Patches from /usr/share/doc. Including a unified diff in
    /usr/share/doc isn't very useful; the source package can always be used
    instead.
  * Remove mentions of gpg-2comp from gpg.rc and README.Debian and ship the
    resulting gpg.rc into /etc/Muttrc.d pristine, with the comments included.
  * Switch to tokyocabinet (from qdbm) in hurd-i386 as well, as it is nowadays
    available there too.
  * Lower Priority to optional (from standard), as this is currently the value
    in the archive, as overridden by ftp-masters.
  * Remove postinst code that handles migrations from pre-1.5.20-9 versions,
    as it's too old (even wheezy shipped with 1.5.21-6.2).
  * Remove preinst code that handles an obsolete conffile from pre-1.5.19-2
    versions, for the same reasons.
  * Remove Conflicts/Replaces mutt-utf8, it was last shipped with version
    1.5.5.1-20040105+1, released over 12 years ago.
  * Remove statically-linked-binary lintian override for mutt_dotlock, not the
    case anymore.
  * Remove quilt.mk and manual quilt invocations. Rely on the native 3.0
    (quilt) source package format instead for applying debian/patches.
  * Use dh_bugfiles instead of manual install invocations.
  * Migrate from our own -dbg package to the automatic -dbgsym package.


=== debian/control ===
Source: mutt
Section: mail
Priority: optional
Maintainer: Mutt maintainers <pkg-mutt-maintainers@lists.alioth.debian.org>
Uploaders:
 Antonio Radici <antonio@dyne.org>,
 Christoph Berg <myon@debian.org>,
 Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf,
 docbook-xml,
 docbook-xsl,
 gawk,
 gettext,
 libgnutls28-dev,
 libgpgme11-dev,
 libidn11-dev,
 libkrb5-dev,
 libnotmuch-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libsasl2-dev,
 libtokyocabinet-dev,
 pkg-config,
 w3m,
 xsltproc,
 zlib1g-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-mutt/mutt.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mutt/mutt.git
Homepage: http://www.mutt.org/

Package: mutt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: locales, mime-support, libsasl2-modules
Suggests: default-mta | mail-transport-agent, urlview, aspell | ispell, gnupg, mixmaster, openssl, ca-certificates
Provides: mail-reader, imap-client
Breaks: mutt-patched, mutt-kz
Replaces: mutt-patched, mutt-kz
Description: text-based mailreader supporting MIME, GPG, PGP and threading
 Mutt is a sophisticated text-based Mail User Agent. Some highlights:
 .
  * MIME support (including RFC1522 encoding/decoding of 8-bit message
    headers and UTF-8 support).
  * PGP/MIME support (RFC 2015).
  * Advanced IMAP client supporting SSL encryption and SASL authentication.
  * POP3 support.
  * ESMTP support.
  * Message threading (both strict and non-strict).
  * Keybindings are configurable, default keybindings are much like ELM;
    Mush and PINE-like ones are provided as examples.
  * Handles MMDF, MH and Maildir in addition to regular mbox format.
  * Messages may be (indefinitely) postponed.
  * Colour support.
  * Highly configurable through easy but powerful rc file.
  .
  This package is built with the NeoMutt patchset, which includes a number of
  additional features compared to the stock Mutt. Among them are:
  * Support for compressed mailboxes.
  * Support for the NNTP (Usenet) protocol.
  * Support for the notmuch mail indexer.
  * An optional Sidebar.
  * Various UI, security and performance fixes.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf --builddirectory=debian/build

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-mailpath=/var/mail	\
						\
		--enable-compressed		\
		--enable-debug			\
		--enable-fcntl			\
		--enable-hcache			\
		--enable-gpgme			\
		--enable-imap			\
		--enable-smtp			\
		--enable-pop			\
		--enable-sidebar		\
		--enable-nntp			\
		--enable-notmuch		\
		--disable-fmemopen		\
						\
		--with-curses			\
		--with-gnutls			\
		--with-gss			\
		--with-idn			\
		--with-mixmaster		\
		--with-sasl			\
						\
		--without-gdbm 			\
		--without-bdb			\
		--without-qdbm

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	
override_dh_install:
	cd debian/tmp/usr/share/doc/mutt && \
	rm -rf samples/iconv samples/ca-bundle.crt && \
	mv NEWS NEWS.old && \
	cp $(CURDIR)/UPDATING NEWS
	
	chmod +x debian/extra/lib/*
	
	( sed -e '/## More settings/,$$d' debian/tmp/etc/Muttrc || exit 1 ; \
	  cat debian/extra/rc/Muttrc.foot ) > debian/tmp/Muttrc
	
	dh_install

override_dh_strip:
	dh_strip -O--dbgsym-migration='mutt-dbg (<< 1.6.1.2~)'

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_fixperms:
	dh_fixperms --exclude usr/bin/mutt_dotlock

## mutt 1.7.2

=== debian/changelog ===
mutt (1.7.2-1+deb9u6) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to fix uudecode buffer overflow.
    (Fixes: CVE-2022-1328) (Closes: #1009734)

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 11 May 2022 02:06:54 +0530

mutt (1.7.2-1+deb9u5) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to fix memory leak parsing group addresses without
    a display name. (Fixes: CVE-2021-3181) (Closes: #980326)

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 20 Jan 2021 13:21:00 +0530

mutt (1.7.2-1+deb9u4) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2020-28896: The connection was not properly closed
    if an IMAP server's initial server response was invalid.

 -- Adrian Bunk <bunk@debian.org>  Mon, 30 Nov 2020 20:43:13 +0200

mutt (1.7.2-1+deb9u3) stretch-security; urgency=high

  * debian/patches:
    + added security/CVE-not-yet-released.patch to fix a possible MITM
      response injection attack when using STARTTLS with IMAP, POP3 and SMTP.

 -- Antonio Radici <antonio@debian.org>  Fri, 19 Jun 2020 06:55:35 +0200

mutt (1.7.2-1+deb9u2) stretch-security; urgency=high

  * debian/patches:
    + added security/CVE-2020-14093.patch to fix the relevant CVE related to
      IMAP MITM attack via a PREAUTH response

 -- Antonio Radici <antonio@debian.org>  Thu, 18 Jun 2020 17:02:16 +0200

mutt (1.7.2-1+deb9u1) stretch-security; urgency=high

  * Initial changelog entries for security update (Closes: 904051)
  * Patches provided by Roberto C. Sánchez <roberto@debian.org>
    + Fix arbitrary command execution by remote IMAP servers via backquote
      characters, related to the mailboxes command associated with a manual
      subscription or unsubscription (CVE-2018-14354)
    + Fix arbitrary command execution by remote IMAP servers via backquote
      characters, related to the mailboxes command associated with an automatic
      subscription (CVE-2018-14357)
    + Fix a stack-based buffer overflow caused by imap_quote_string() not
      leaving room for quote characters (CVE-2018-14352)
    + Fix an integer underflow in imap_quote_string() (CVE-2018-14353)
    + Fix mishandling of zero-length UID in pop.c (CVE-2018-14356)
    + Fix unsafe interaction between message-cache pathnames and certain
      characters in pop.c (CVE-2018-14362)
    + Fix mishandling of ".." directory traversal in IMAP mailbox name
      (CVE-2018-14355)
    + Fix a stack-based buffer overflow for an IMAP FETCH response with a long
      INTERNALDATE field (CVE-2018-14350)
    + Fix a stack-based buffer overflow for an IMAP FETCH response with a long
      RFC822.SIZE field (CVE-2018-14358)
    + Fix mishandling of an IMAP NO response without a message (CVE-2018-14349)
    + Fix mishandling of long IMAP status mailbox literal count size
      (CVE-2018-14351)
    + Fix a buffer overflow via base64 data (CVE-2018-14359)
    + Fix a stack-based buffer overflow because of incorrect sscanf usage
      (CVE-2018-14360)
    + Fix a defect where processing continues if memory allocation fails for
      NNTP messages (CVE-2018-14361)
    * Fix unsafe interaction between message-cache pathnames and certain
      characters in newsrc.c (CVE-2018-14363)

 -- Antonio Radici <antonio@debian.org>  Tue, 07 Aug 2018 09:48:44 +0100

mutt (1.7.2-1) unstable; urgency=medium

  * New upstream Mutt release.
  * New upstream NeoMutt release, 2017-01-13.
  * debian/patches:
    + all patches refreshed.
    + upstream/gpgme-set-sender.patch removed because it is already upstream.

 -- Antonio Radici <antonio@debian.org>  Fri, 20 Jan 2017 21:47:49 +0000

mutt (1.7.1-5) unstable; urgency=medium

  * debian/patches:
    + add upstream/gpgme-set-sender.patch otherwise the package
      does not build due to conflicting declarations.

 -- Antonio Radici <antonio@debian.org>  Thu, 01 Dec 2016 20:41:44 +0000

mutt (1.7.1-4) unstable; urgency=medium

  * New upstream NeoMutt release, 2016-11-26.
    + All patches refreshed.
    + upstream/549204-clear-N-on-readonly-imap-folders.patch pulled from the
      repo because it could cause bad interactions with the pager (I will
      revisit the decision in the next release).
  * debian/rules:
    + explicitely added --with-tokyocabinet otherwise the package does not
      build.

 -- Antonio Radici <antonio@debian.org>  Thu, 01 Dec 2016 08:28:54 +0000

mutt (1.7.1-3) unstable; urgency=medium

  * Team upload.

  [ Antonio Radici ]
  * debian-specific/828751-pinentry-gpg2-support.patch: moved
    --pinentry-loopback within the conditional that checks the existance of
    PGPPASSFD.

  [ Evgeni Golov ]
  * update neomutt patch to 20161104
  * do not apply 835421-pop-digest-md5.patch, it's part of neomutt 20161104
  * refresh gpg.rc-paths.patch after 828751-pinentry-gpg2-support.patch

  [ Christoph Berg ]
  * Remove myself from Uploaders. Thanks for the fish!

 -- Evgeni Golov <evgeni@debian.org>  Mon, 07 Nov 2016 19:17:50 +0100

mutt (1.7.1-2) unstable; urgency=medium

  * Dropped neomutt-devel/837601-do-not-segfault-on-new-mails.patch which
    caused an extra empty line to be added to the pager.

 -- Antonio Radici <antonio@debian.org>  Sun, 16 Oct 2016 20:17:38 +0100

mutt (1.7.1-1) unstable; urgency=medium

  * New upstream Mutt release.
    + Dropped two patches already applied upstream:
      - upstream/827189-opportunistic-encryption-crash.patch
      - upstream/837372-do-not-color-gpgme-output.patch
  * New upstream NeoMutt release, 2016-10-14
    + Refreshed all the patches to apply cleanly.
    + dropped neomutt-devel/drop-neomutt-syntax.patch

 -- Antonio Radici <antonio@debian.org>  Sat, 15 Oct 2016 10:35:20 +0100

mutt (1.7.0-6) unstable; urgency=medium

  * New upstream NeoMutt release, 2016-09-16
    + Refreshed some patches to apply cleanly.
  * Dropped the following patches as a result of the above release:
    + neomutt-devel/fix-array-bounds-error.patch


=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,13 @@
 include /usr/share/dpkg/buildflags.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+no_notmuch_architectures := alpha hppa hurd-i386 powerpcspe ppc64 sh4 sparc64
+ifneq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), $(no_notmuch_architectures)))
+	notmuch = --enable-notmuch
+else
+	notmuch = --disable-notmuch
+endif
 
 %:
 	dh $@ --with autoreconf --builddirectory=debian/build
@@ -21,7 +28,7 @@
 		--enable-pop			\
 		--enable-sidebar		\
 		--enable-nntp			\
-		--enable-notmuch		\
+		$(notmuch)			\
 		--disable-fmemopen		\
 						\
 		--with-curses			\
@@ -33,7 +40,8 @@
 						\
 		--without-gdbm 			\
 		--without-bdb			\
-		--without-qdbm
+		--without-qdbm \
+	    --with-tokyocabinet
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp

## mutt 1.8.0

=== debian/changelog ===
mutt (1.8.0-1mx150+1) mx; urgency=medium

  * Rebuild for MX 15/16.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Sun, 19 Mar 2017 18:58:19 -0500

mutt (1.8.0-1) unstable; urgency=medium

  * New upstream Mutt relaese.
  * New upstream NeoMutt release, 2017-03-06 (Closes: 857687)
  * debian/patches:
    + neomutt-devel/832971-reset-xlabel.patch removed, already upstream.
    + upstream/383769-score-match.patch: changed slightly to be applied.
    + all other patches refreshed.

 -- Antonio Radici <antonio@debian.org>  Tue, 14 Mar 2017 21:30:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: mutt
 Section: mail
 Priority: optional
-Maintainer: Mutt maintainers <pkg-mutt-maintainers@lists.alioth.debian.org>
+Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org> 
+XSBC-Original-Maintainer: Mutt maintainers <pkg-mutt-maintainers@lists.alioth.debian.org>
 Uploaders:
- Antonio Radici <antonio@dyne.org>,
- Christoph Berg <myon@debian.org>,
+ Antonio Radici <antonio@debian.org>,
  Faidon Liambotis <paravoid@debian.org>
+Bugs: mailto: <v3g4n@mxlinux.org> 
 Build-Depends: debhelper (>= 9), dh-autoreconf,
  docbook-xml,
  docbook-xsl,
@@ -15,7 +16,7 @@
  libgpgme11-dev,
  libidn11-dev,
  libkrb5-dev,
- libnotmuch-dev,
+ libnotmuch-dev [!alpha !hppa !hurd-i386 !powerpcspe !ppc64 !sh4 !sparc64],
  libncurses5-dev,
  libncursesw5-dev,
  libsasl2-dev,

## mutt 1.8.3+neomutt20170609

=== debian/changelog ===
mutt (1.8.3+neomutt20170609-2build1) artful; urgency=medium

  * Rebuild against new libnotmuch5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2017 13:11:26 +0200

mutt (1.8.3+neomutt20170609-2) unstable; urgency=medium

  * debian/patches:
    + upstream/644992-ipv6-literal.patch removed, already upstream.
    + upstream/771125-CVE-2014-9116-jessie.patch removed, already upstream.
    + upstream/865822-restore-defaults.patch created to set the default values
      of variables after they have been set in the init function
      (Closes: 865842, 865822).

 -- Antonio Radici <antonio@debian.org>  Sun, 25 Jun 2017 10:00:09 +0100

mutt (1.8.3+neomutt20170609-1) unstable; urgency=medium

  * Switching upstream code to NeoMutt.
    + due to code formatting changes the neomutt patch would have been bigger
      than the mutt code.
  * New upstream NeoMutt release, 2017-06-09 (1.8.3) (Closes: 857687, 864024)
  * debian/patches:
    + neomutt patch removed.
    + debian-specific/Md.etc_mailname_gethostbyname.patch slightly rewritten.
    + debian-specific/467432-write_bcc.patch refreshed.
    + upstream/228671-pipe-mime.patch removed, already upstream
      (Closes: 860176).
    + upstream/611410-no-implicit_autoview-for-text-html.patch removed,
      already upstream.
    + upstream/644992-ipv6-literal.patch partially superseded by libidn.
    + upstream/fix_doc_builddir.patch created, to source html files from the
      builddir.
    + upstream/fix_spelling_error.patch created.
    + general patch refresh where applicable.
  * debian/control:
    + Standards-Version updated to 4.0.0, no changes required.
  * debian/rules:
    + removed NEWS, does not exist anymore.
    + build mutt_dotlock with --enable-dotlock.
    + enabled lua scripting with --enable-lua.
  * debian/mutt.docs: removed some docs that do not exist anymore.
  * debian/mutt.lintian-overrides: masked testsuite warning, not available.

 -- Antonio Radici <antonio@debian.org>  Sat, 24 Jun 2017 09:32:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: mutt
 Section: mail
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org> 
-XSBC-Original-Maintainer: Mutt maintainers <pkg-mutt-maintainers@lists.alioth.debian.org>
+Maintainer: Mutt maintainers <pkg-mutt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Antonio Radici <antonio@debian.org>,
  Faidon Liambotis <paravoid@debian.org>
-Bugs: mailto: <v3g4n@mxlinux.org> 
-Build-Depends: debhelper (>= 9), dh-autoreconf,
+Build-Depends: debhelper (>= 9), dh-autoreconf, dh-lua,
  docbook-xml,
  docbook-xsl,
  gawk,
@@ -25,7 +23,7 @@
  w3m,
  xsltproc,
  zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-mutt/mutt.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mutt/mutt.git
 Homepage: http://www.mutt.org/

=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,13 @@
 		--enable-fcntl			\
 		--enable-hcache			\
 		--enable-gpgme			\
+		--enable-lua            \
 		--enable-imap			\
 		--enable-smtp			\
 		--enable-pop			\
 		--enable-sidebar		\
 		--enable-nntp			\
+		--enable-dotlock \
 		$(notmuch)			\
 		--disable-fmemopen		\
 						\
@@ -49,7 +51,6 @@
 override_dh_install:
 	cd debian/tmp/usr/share/doc/mutt && \
 	rm -rf samples/iconv samples/ca-bundle.crt && \
-	mv NEWS NEWS.old && \
 	cp $(CURDIR)/UPDATING NEWS
 	
 	chmod +x debian/extra/lib/*
